For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • POSTRegister a new user
      • POSTLog in and obtain JWT tokens
      • GETVerify email address
      • POSTRequest password reset
      • POSTReset password
Calculator
LogoLogo
EndpointsAuthentication

Reset password

POST
https://api.finput.com.au/api/v1/auth/reset-password/:uid/:token
POST
/api/v1/auth/reset-password/:uid/:token
$curl -X POST https://api.finput.com.au/api/v1/auth/reset-password/uid/token \
> -H "Content-Type: application/json" \
> -d '{
> "password": "password",
> "confirm_password": "confirm_password"
>}'
1{
2 "message": "message"
3}
Resets the user's password using the token from the reset email.
Was this page helpful?
Previous

List all users

Next
Built with

Path parameters

uidstringRequired
tokenstringRequired

Request

This endpoint expects an object.
passwordstringRequired
confirm_passwordstringRequired

Response

Password reset successful
messagestring

Errors

400
Reset Password Request Bad Request Error